Bug 399161 - semanage_t
semanage_t
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 02:16 EST by Robert McLachlan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 09:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert McLachlan 2007-11-26 02:16:02 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Summary
    SELinux is preventing /usr/sbin/setsebool (semanage_t) "setbool" to
    <Unknown> (security_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/setsebool. It is not expected
    that this access is required by /usr/sbin/setsebool and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional
    access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:semanage_t
Target Context                system_u:object_r:security_t
Target Objects                None [ security ]
Affected RPM Packages         policycoreutils-2.0.16-15.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-57.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-21.fc7 #1 SMP
                              Thu Nov 1 21:09:24 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Sun 25 Nov 2007 05:28:56 AM PST
Last Seen                     Sun 25 Nov 2007 05:28:56 AM PST
Local ID                      c7cc148c-7698-464f-8bf3-9f909cf1cb56
Line Numbers                  

Raw Audit Messages            

avc: denied { setbool } for comm="setsebool" egid=0 euid=0
exe="/usr/sbin/setsebool" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=3065
scontext=system_u:system_r:semanage_t:s0 sgid=0
subj=system_u:system_r:semanage_t:s0 suid=0 tclass=security
tcontext=system_u:object_r:security_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-11-26 10:14:21 EST
Do you have the boolean secure_mode_policyload turned on?

# getsebool secure_mode_policyload

If yes, you need to turn this off to allow the access

# setsebool -P secure_mode_policyload 1


Note You need to log in before you can comment on or make changes to this bug.